
Summary:       GeoTIFF format library
Name:          libgeotiff
Version:       1.7.1
Release:       4%{?dist}
License:       MIT
URL:           http://trac.osgeo.org/geotiff/
Source0:       http://download.osgeo.org/geotiff/%{name}/%{name}-%{version}.tar.gz
Patch3000:     libgeotiff_cmake.patch

BuildRequires: cmake gcc-c++
BuildRequires: libtiff-devel libjpeg-devel
BuildRequires: proj-devel zlib-devel


%description
GeoTIFF represents an effort by over 160 different remote sensing, GIS, cartographic, and 
surveying related companies and organizations to establish a TIFF based interchange format 
for georeferenced raster imagery.

%package devel
Summary:	Development library and header for the GeoTIFF file format library
Requires:	pkgconfig libtiff-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This library provides support for development of geotiff image format.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%cmake -DGEOTIFF_BIN_SUBDIR=bin -DGEOTIFF_INCLUDE_SUBDIR=include/%{name} -DGEOTIFF_LIB_SUBDIR=%{_lib}
%cmake_build

%install
%cmake_install
# install pkgconfig file
mkdir -p %{buildroot}%{_libdir}/pkgconfig/
cat > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/%{name}

Name: %{name}
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\${libdir} -lgeotiff
Cflags: -I\${includedir}
EOF


%check
%ctest


%files
%license LICENSE
%doc ChangeLog
%{_bindir}/applygeo
%{_bindir}/geotifcp
%{_bindir}/listgeo
%{_bindir}/makegeo
%{_libdir}/%{name}.so.5*
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/GeoTIFF/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 1.7.1-3
- Rebuilt for libtiff 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Wang Guodong <gordonwwang@tencent.com> - 1.7.1-1
- initial build
